/* xtexcad  V1.2 - graphic editor for LaTeX */
/* 1991 by K.Zitzmann */
/* header-file file_sel.h */

#ifndef FILE_SELH
#define FILE_SELH




int Is_direct(char *name);
short count_eintraege(void);
int match(char *sstring,char *pattern);
String *directory_erstellen(short anzahl);
void direct_to_list(void);
void Ok_geklickt(Widget w ,caddr_t client_data,caddr_t call_data);
void Ok2_geklickt(Widget widget,XEvent *event,String *params,Cardinal *n_params);
void Path_changed(Widget widget,XEvent *event,String *params,Cardinal *n_params);
void Path_leave(Widget widget,XEvent *event,String *params,Cardinal *n_params);
void Patt_change(Widget widget,XEvent *event,String *params,Cardinal *n_params);
void Cancel_geklickt(Widget w,caddr_t client_data,caddr_t call_data);
void File_gewaehlt(Widget w,caddr_t client_data,caddr_t call_data);
char *center(char *zeile,short laenge);
void Dummy(Widget widget,XEvent *event,String *params,Cardinal *n_params);
Widget init_file_select(Widget w);
char *file_select(char *patt,char *titel);


#endif






